---
title: Get Vectors By Identifier
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Vectorize](https://developers.cloudflare.com/api/go/resources/vectorize)

[Indexes](https://developers.cloudflare.com/api/go/resources/vectorize/subresources/indexes)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Vectors By Identifier

client.Vectorize.Indexes.GetByIDs(ctx, indexName, params) (\*[IndexGetByIDsResponse](<https://developers.cloudflare.com/api/go/resources/vectorize#(resource)%20vectorize.indexes%20%3E%20(model)%20IndexGetByIDsResponse%20%3E%20(schema)>), error)

POST/accounts/{account\_id}/vectorize/v2/indexes/{index\_name}/get\_by\_ids

Get a set of vectors from an index by their vector identifiers.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Vectorize Write``Vectorize Read`

##### ParametersExpand Collapse

indexName string

[Link to this property](<#(resource)%20vectorize.indexes%20%3E%20(method)%20get_by_ids%20%3E%20(params)%20default%20%3E%20(param)%20index_name%20%3E%20(schema)>)

<details>

<summary>

params IndexGetByIDsParams

</summary>

AccountID param.Field\[string]

Path param: Identifier

maxLength32

<a href="#(resource)%20vectorize.indexes%20%3E%20(method)%20get_by_ids%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

IDs param.Field\[\[]string]Optional

Body param: A list of vector identifiers to retrieve from the index indicated by the path.

<a href="#(resource)%20vectorize.indexes%20%3E%20(method)%20get_by_ids%20%3E%20(params)%20default%20%3E%20(param)%20ids">Link to this property</a>

</details>

[Link to this property](<#(resource)%20vectorize.indexes%20%3E%20(method)%20get_by_ids%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

type IndexGetByIDsResponse interface{…}

Array of vectors with matching ids.

[Link to this property](<#(resource)%20vectorize.indexes%20%3E%20(model)%20IndexGetByIDsResponse%20%3E%20(schema)>)

### Get Vectors By Identifier

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/vectorize"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Vectorize.Indexes.GetByIDs(
    context.TODO(),
    "example-index",
    vectorize.IndexGetByIDsParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "some-vector-id",
      "metadata": {
        "another-key": "another-value",
        "customer-id": 442
      },
      "values": [
        0.812,
        0.621,
        0.261
      ]
    },
    {
      "id": "other-vector-id",
      "metadata": {
        "another-key": "with-a-value",
        "customer-id": 2151
      },
      "namespace": "namespaced",
      "values": [
        0.961,
        0.751,
        0.661
      ]
    }
  ],
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "some-vector-id",
      "metadata": {
        "another-key": "another-value",
        "customer-id": 442
      },
      "values": [
        0.812,
        0.621,
        0.261
      ]
    },
    {
      "id": "other-vector-id",
      "metadata": {
        "another-key": "with-a-value",
        "customer-id": 2151
      },
      "namespace": "namespaced",
      "values": [
        0.961,
        0.751,
        0.661
      ]
    }
  ],
  "success": true
}
```